POST

/api/v1/exchanges/connect

Permission: EXCHANGES_WRITESecurity: SIGNED

Adds a new exchange account connection. Credentials (API key, secret, passphrase) are encrypted using military-grade AES-256-GCM before storage and are never exposed in plaintext.

Body Parameters

exchangestring required

Market code of the exchange (e.g. 'binance', 'bybit', 'okx', 'indodax', 'gate', 'tokocrypto', 'bittime', 'mexc').

labelstring required

Custom user label or name for this exchange account.

api_keystring required

API key generated from your exchange account.

api_secretstring required

API secret generated from your exchange account.

passphrasestring

API passphrase required by specific exchanges such as OKX or KuCoin.

connection_typestring

Market connection type: 'spot', 'futures', or 'margin'. Defaults to 'spot'.

is_testnetboolean

Set to true for Paper trading / Testnet / Demo accounts. Defaults to false.

Example Request

create_account_request.json
POST /api/v1/exchanges/connect
{
  "exchange": "binance",
  "label": "My Main Binance Account",
  "api_key": "x9a8b7c6d5e4f3a2b1c0d9e8f7a6b5c4",
  "api_secret": "9f8e7d6c5b4a3f2e1d0c9b8a7f6e5d4c",
  "connection_type": "spot",
  "is_testnet": false
}

Response Parameters

48
idinteger required

ID of the exchange account entity.

namestring

The name for the exchange account defined by the user.

exchange_namestring

Name of this exchange account.

market_iconstring

The URL link to the icon for this exchange.

market_codestring

Quentrade exchange code entity.

auto_balance_periodinteger

The interval, in hours, at which automatic portfolio balancing occurs.

auto_balance_portfolio_idinteger | null

ID of the portfolio for which automatic balancing has been initiated.

autobalance_enabledboolean

Indicates whether auto balance mode is enabled for this account.

auto_balance_errorstring | null

A description to explain why autobalance failed.

last_auto_balancestring | null

ISO 8601 datetime of when auto balance was last executed.

hedge_mode_availableboolean

Indicates whether hedge mode is available for this account.

hedge_mode_enabledboolean

Indicates whether hedge mode is enabled for this account.

is_lockedboolean

Indicates whether the account is locked.

lock_reasonstring | null

The reason for locking this account when is_locked is true.

smart_trading_supportedboolean

Indicates if smart trading is supported.

stats_supportedboolean

Indicates whether profit statistics are supported for this account.

trading_supportedboolean

Indicates if trading is supported on Quentrade.

market_buy_supportedboolean

Indicates whether creating a market buy order is supported on the exchange.

market_sell_supportedboolean

Indicates whether creating a market sell order is supported on the exchange.

conditional_buy_supportedboolean

Indicates whether creating a conditional buy order is supported on the exchange.

bots_allowedboolean

Indicates whether DCA Bot is enabled for this account.

bots_ttp_allowedboolean

Indicates whether the trailing take profit feature is enabled on this account.

bots_tsl_allowedboolean

Indicates whether the trailing stop loss feature is enabled on this account.

multi_bots_allowedboolean

Indicates whether the Multi-Pair feature is supported for this account.

fast_convert_availableboolean

Indicates whether the 'Sell All to BTC/USD' feature is enabled for this account.

grid_bots_allowedboolean

Indicates whether Grid Bot is enabled for this account.

api_keystring

API key used for the account.

api_key_invalidboolean

Indicates whether the API key for this account is invalid.

api_keys_statestring

Indicates the state of the API keys.

deposit_enabledboolean

Indicates whether the Deposit feature is enabled for this account.

available_include_in_summaryboolean

Indicates whether this account is available to be included in the summary.

include_in_summaryboolean

Indicates whether this account is included in the summary.

supported_market_typesarray

The type of market supported by the connected exchange account.

customer_idstring | null

Unique customer ID provided by the Bitstamp exchange.

btc_amountstring

Amount of Bitcoin in the account.

usd_amountstring

Amount in USD in the account.

day_profit_btcstring

Daily profit in BTC.

day_profit_usdstring

Daily profit in USD.

day_profit_btc_percentagenumber

Daily profit percentage in BTC.

day_profit_usd_percentagenumber

Daily profit percentage in USD.

btc_profitnumber

Monthly profit in BTC.

usd_profitnumber

Monthly profit in USD.

btc_profit_percentagenumber

Monthly profit percentage in BTC.

usd_profit_percentagenumber

Monthly profit percentage in USD.

total_btc_profitnumber

Total profit in BTC.

total_usd_profitnumber

Total profit in USD.

created_atstring

ISO 8601 datetime of when this Account entity was created.

updated_atstring

ISO 8601 datetime of when this entity was last updated.

Example Responses

create_account_201.json
201 Created
{
  "id": "7fa84b80-77a8-4e89-a292-123456789abc",
  "exchange": "binance",
  "label": "My Main Binance Account",
  "connection_type": "spot",
  "can_trade": true,
  "can_withdraw": false,
  "is_active": true,
  "is_testnet": false,
  "last_verified": "2026-08-20T23:25:00.000Z",
  "created_at": "2026-08-20T23:25:00.000Z"
}